:root {
    --font-family: "Arial", sans-serif;
    --font-size: 16px;
    --line-height: 1.5;
    --max-width: 1200px;
    --gutter: 1rem;
    --col-count: 12;
    --cover-color: rgba(10, 10, 10, 1);
}

*,
*::before,
*::after {
    /* margin: 0;
    padding: 0; */
    box-sizing: border-box;
}

html,
body {
    font-family: var(--font-family);
    font-size: var(--font-size);
    line-height: var(--line-height);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    z-index: 1;
}

body.covered {
    overflow: hidden;
}

main {
    display: flex;
    flex-direction: column;
    flex: 1;
}

img {
    max-width: 100%;
}

p {
    margin-bottom: calc(var(--gutter) / 2);
}

.screen-cover {
    display: none;
    pointer-events: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 9001;
}
.screen-cover.active {
    pointer-events: all;
    display: block;
    background-color: var(--cover-color);
}

.container,
.container-fluid {
    width: 100%;
    max-width: var(--max-width);
    margin: 0 auto;
    padding: 0 var(--gutter);
}
.container-fluid {
    max-width: 100%;
    padding: 0;
}

.grid-sm,
.grid,
.grid-lg {
    display: grid;
    /* gap: var(--gutter); */
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin: 0 cal(var(--gutter) * -1);
}
.row.end {
    justify-content: flex-end;
}

.col,
[class^="col-"] {
    display: flex;
    flex-direction: column;
    padding: var(--gutter);
    flex-shrink: 1;
    /* flex: 0 0 100%; */
}

.col-1 {
    flex: 0 0 8.33%;
}
.col-2 {
    flex: 0 0 16.66%;
}
.col-3 {
    flex: 0 0 25%;
}
.col-4 {
    flex: 0 0 33.33%;
}
.col-5 {
    flex: 0 0 41.66%;
}
.col-6 {
    flex: 0 0 50%;
}
.col-7 {
    flex: 0 0 58.33%;
}
.col-8 {
    flex: 0 0 66.66%;
}
.col-9 {
    flex: 0 0 75%;
}
.col-10 {
    flex: 0 0 83.33%;
}
.col-11 {
    flex: 0 0 91.66%;
}
.col-12 {
    flex: 0 0 100%;
}

@media (max-width: 576px) {
    .grid-sm {
        grid-template-columns: repeat(auto-fit, minmax(33.33%, 1fr));
    }
    .grid {
        grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
    }
    .grid-lg {
        grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
    }

    .col,
    .col-1,
    .col-2,
    .col-3,
    .col-4,
    .col-5,
    .col-6,
    .col-7,
    .col-8,
    .col-9,
    .col-10,
    .col-11,
    .col-12 {
        flex: 0 0 100%;
    }
}

@media (min-width: 576px) {
    .grid-sm {
        grid-template-columns: repeat(auto-fit, minmax(20%, 1fr));
    }
    .grid {
        grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
    }
    .grid-lg {
        grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
    }
}

@media (min-width: 768px) {
    .grid-sm {
        grid-template-columns: repeat(auto-fit, minmax(33.33%, 1fr));
    }
    .grid {
        grid-template-columns: repeat(auto-fit, minmax(50%, 1fr));
    }
    .grid-lg {
        grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
    }
}

@media (min-width: 1024px) {
    .grid-sm {
        grid-template-columns: repeat(auto-fit, minmax(20%, 1fr));
    }
    .grid {
        grid-template-columns: repeat(auto-fit, minmax(25%, 1fr));
    }
    .grid-lg {
        grid-template-columns: repeat(auto-fit, minmax(50%, 1fr));
    }
}
